#include <iostream>
#include <iomanip>
using namespace std;

int main() {

	union {
		double d_value { 6789.234567 };
		unsigned char d_bytes[sizeof(double)];
	};

	union {
		int i_value { 4567 };
		unsigned char i_bytes[sizeof(int)];
	};

	cout.setf(ios::fixed, ios::floatfield);
	cout.fill('0');

	cout << d_value << " = ";
	for (unsigned char d_byte : d_bytes) {
		cout << hex << setw(2) << (int) d_byte << " ";
	}
	cout << "(hex)" << endl;

	cout << dec << i_value << " = " << hex << i_value << " (hex) = ";
	for (unsigned char i_byte : i_bytes) {
		cout << hex << setw(2) << (int) i_byte << " ";
	}
	cout << "(hex)" << endl;

	return EXIT_SUCCESS;
}

