#include <iostream>
#include <ctime>
#include "../includes/staff.h"
using namespace std;

double mean_work_time (Employee *staff, int n, int year) {
	double sum = 0.0;
	for (int i = 0; i < n; i++) {
		sum += year - staff[i].employment_date.year;
	}
	return sum / n;
}


int main() {
	const int MAX_WORKERS = 100;
	Employee staff[MAX_WORKERS];
	time_t sec;

	time (&sec);
	tm *dt = localtime (&sec);
	cout << endl;
	cout << "Today is " << dt->tm_mday << "/" << 
		dt->tm_mon+1 << "/" << dt->tm_year+1900 << endl;
	int n = read_staff_data(staff);
	print_employees(staff, n);
	cout << "Mean work time = " << mean_work_time(staff, n, dt->tm_year + 1900) << endl;

	return EXIT_SUCCESS;
}

