#include <iostream>
#include <iomanip>
#include "../includes/staff.h"

int read_staff_data (Employee *staff) {
	int i{};
	while (std::cin >> staff[i].lastname) {
		std::cin >> staff[i].firstname;
		std::cin >> staff[i].address;
		std::cin >> staff[i].wages;
		std::cin >> staff[i].birthdate.year;
		std::cin >> staff[i].birthdate.month;
		std::cin >> staff[i].birthdate.day;
		std::cin >> staff[i].employment_date.year;
		std::cin >> staff[i].employment_date.month;
		std::cin >> staff[i].employment_date.day;
		++i;
	}
	return i;
}

void print_employees(Employee *staff, int n) {
	for (int i = 0; i < n; i++) {
		std::cout << std::setw(10) << staff[i].lastname <<
		     std::setw(10) << staff[i].firstname <<
		     std::setw(6) << staff[i].employment_date.year << std::endl;
	}
}
